Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class FunctionSoundex

    java.lang.Object
      org.deegree.model.filterencoding.Expression
          org.deegree.model.filterencoding.Function
              org.deegree.model.filterencoding.FunctionSoundex

    public class FunctionSoundex

extends Function

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary

Fields inherited from class org.deegree.model.filterencoding.Function
`args, name`

Fields inherited from class org.deegree.model.filterencoding.Expression
`id`

Constructor Summary
`FunctionSoundex()`
`FunctionSoundex(String name, List<Expression> args)`

Method Summary
`Object` | `evaluate(Feature feature)` Returns the `Function`'s value (to be used in the evaluation of a complexer `Expression`).

Methods inherited from class org.deegree.model.filterencoding.Function
`buildFromDOM, getArguments, getExpressionId, getName, setArguments, setName, toXML`

Methods inherited from class org.deegree.model.filterencoding.Expression
`getExpressionName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionSoundex

    FunctionSoundex()

### FunctionSoundex

    FunctionSoundex(String name,
                    List<Expression> args)

Parameters:
  `name` -
  `args` -

Method Detail

### evaluate

    public Object evaluate(Feature feature)
                    throws FilterEvaluationException

  Description copied from class: `Function`
  Returns the `Function`'s value (to be used in the evaluation of a complexer `Expression`).

  Specified by:
    `evaluate` in class `Function`
  Parameters:
    `feature` - that determines the concrete values of `PropertyNames` found in the expression
  Returns:
    the resulting value
  Throws:
    `FilterEvaluationException` - if the evaluation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org